Subject: [bug#52068] [PATCH] [core-updates-frozen] gnu: libostree: Build with libsoup 2.

From: John Kehayias <[email-masked]>
Date: Wed, 24 Nov 2021 06:25:52 +0000

Hi Maxim!

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Wednesday, November 24th, 2021 at 1:08 AM, Maxim Cournoyer wrote:

> Hello John!
>
> John Kehayias [email-masked] writes:
>
> > Hello,
> >
> > libostree should be built with libsoup-2 (doesn't support libsoup 3
> > currently) to have HTTP support. This was noticed due to Flatpak
> > updates failing with "This version of ostree was built without libsoup
> > or libcurl, and cannot fetch over HTTP". In the build log of ostree
> > (eg https://ci.guix.gnu.org/build/1775196/log/raw ) you can see that
> > it will report no HTTP backend with libsoup 3, but properly shows
> > libsoup when libsoup-2 is provided as an input as in this patch.
> >
> > I've checked libostree builds and that Flatpak built with this version
> > successfully can download over HTTP. Thanks to jackhill on IRC for
> > spotting the configuration error of ostree when we both hit the
> > Flatpak update bug.
>
> Neat, thanks for taking care of it. Pushed as
> 93d1f8e5fc78bd82e8920d25b3e52a2d22528c17, and I updated libostree to
> 4d41c3beefa44d0ec30aa7108bc3979aa95c15e0 in the following commit.
>
Great, and thanks for catching the update too!

> > (Also, I added my copyright line as I forgot it on earlier Flatpak
> > updates around the p11-kit workaround and version updates.)
>
> Perfect!
>

Thanks! Looks like we are closing in on that big merge finally!

John